OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
PDF

# PDF_VArrayTNodeOfFieldOfHAttributeArray1 Class Reference

`#include <PDF_VArrayTNodeOfFieldOfHAttributeArray1.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PDF_VArrayTNodeOfFieldOfHAttributeArray1 ()
| PDF_VArrayTNodeOfFieldOfHAttributeArray1 (const Handle(PDF_Attribute)&aValue)
void | SetValue (const Handle(PDF_Attribute)&aValue)
Standard_Address | Value () const
## Private Attributes
Handle_PDF_Attribute | myValue

## Constructor & Destructor Documentation

PDF_VArrayTNodeOfFieldOfHAttributeArray1::PDF_VArrayTNodeOfFieldOfHAttributeArray1 | ( |  | ) |

PDF_VArrayTNodeOfFieldOfHAttributeArray1::PDF_VArrayTNodeOfFieldOfHAttributeArray1 | ( | const Handle(PDF_Attribute)& | aValue | ) |

## Member Function Documentation

void PDF_VArrayTNodeOfFieldOfHAttributeArray1::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PDF_VArrayTNodeOfFieldOfHAttributeArray1::operator new | ( | size_t | size | ) | `[inline]`

void* PDF_VArrayTNodeOfFieldOfHAttributeArray1::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PDF_VArrayTNodeOfFieldOfHAttributeArray1::SetValue | ( | const Handle(PDF_Attribute)& | aValue | ) |

Standard_Address PDF_VArrayTNodeOfFieldOfHAttributeArray1::Value | ( |  | ) | const

## Field Documentation

Handle_PDF_Attribute PDF_VArrayTNodeOfFieldOfHAttributeArray1::myValue`[private]`

The documentation for this class was generated from the following file:

- PDF_VArrayTNodeOfFieldOfHAttributeArray1.hxx